Changes between Version 1 and Version 2 of Downloads


Ignore:
Timestamp:
Feb 8, 2011 7:26:45 AM (9 years ago)
Author:
Miloš Jakubíček
Comment:

installing prerequisities

Legend:

Unmodified
Added
Removed
Modified
  • Downloads

    v1 v2  
    1010== Requirements ==
    1111
    12 * Linux 2.6.x, POSIX-compliant operating systems should work as well, Windows might work or not.
    13 * Antlr 3 C runtime version 3.2 or higher, use your distribution package or download at [http://www.antlr.org/download/C/] (libantlr3c-3.2.tar.gz)
    14 * PCRE library, use your distribution package or download at [http://www.pcre.org/]
     12* Linux 2.6.x/libc6, POSIX-compliant operating systems should work as well, Windows might work or not.
     13* We strongly recommend 64bit operating system, for 32bit systems only corpora with <2G tokens are supported.
     14* 1 GHz processor and 1 GB of memory at least (4 GB recommended for normal usage, 8 GB for accessing large [=over 1G of tokens] corpora)
     15* free disk space according to what corpora you are going to use
     16* Antlr 3 C runtime version 3.2 or higher, [http://www.antlr.org/download/C/]
     17* PCRE library, [http://www.pcre.org/]
     18* Python 2.6
     19* Cheetah template system  [http://www.cheetahtemplate.org/]
     20* Apache2 (or any other CGI-capable) webserver
    1521
    1622== Installation instructions ==
    1723
     24We recommend using the binary packages if they are available for your operating system.
     25
    1826=== Building from sources ===
    1927
     28==== Installing prerequisities ====
     29
     30* install antlr3 C runtime version 3.2 or higher, either from your distribution package (available for Fedora >= 12, Ubuntu >= 11.04) or from sources:
     31 * download libantlr3c-3.2.tar.gz from [http://www.antlr.org/download/C/]
     32 * {{{tar xzvf libantlr3c-3.2.tar.gz; cd libantlr3c-3.2}}}
     33  * on 64bit systems: {{{./configure --enable-64bit --disable-abiflags; make }}}
     34  * on 32bit systems: {{{./configure --disable-abiflags; make }}}
     35 * as root, type {{{ make install; ldconfig }}}
     36
     37* install the PCRE library, either from you distribution package or from sources:
     38 * download pcre-<version>.tar.gz from [http://www.pcre.org]
     39 * {{{tar xzvf pcre-<version>.tar.gz; cd pcre-<version>}}}
     40 * {{{./configure --enable-unicode-properties --enable-utf8; make }}}
     41 * as root, type {{{ make install; ldconfig }}}
     42
     43* install Python 2.6 (Python 2.4 and 2.5 should work as well, but may not be supported in future releases), preferably from you distribution package or follow instructions on [http://www.python.org]
     44
     45* install the Cheetah templating system (version 2 or higher), either from your distribution package or from sources:
     46 * download Cheetah-<version>.tar.gz from [http://cheetahtemplate.org]
     47 * {{{ tar xzvf Cheetah-<version>.tar.gz; cd Cheetah-<version>}}}
     48 * as root, type {{{ python setup.py install }}}
     49
     50* install Apache2 or any other webserver that you will point to Bonito2 CGI scripts
     51
    2052=== Installing binary packages